Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationLDAPServer

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationLDAPServer

extends java.rmi.Remote

This interface defines methods to manage LDAP server configuration remotely.

Method Summary
`java.lang.String` | `createRoleMap(java.lang.String filter, java.lang.String roleName)` Adds a new role map to the server.
`boolean` | `editRoleMap(java.lang.String roleMapName, java.lang.String filter, java.lang.String roleName)` Edits an existing role map by its name.
`java.lang.String` | `getAdminGroup()` Returns the admin group.
`java.util.Vector` | `getAllRoleMaps()` Gets all role maps.
`void` | `getDefauleSettingValue(java.lang.String oldType)` Gets the default LDAP configuration.
`java.lang.String` | `getDirectoryManagerDN()` Returns the directory of manager distinguished name.
`java.lang.String` | `getGroupCommonName()` Returns the Group Common Name for LDAP.
`java.lang.String` | `getGroupDescriptions(java.lang.String groupName)` Checks groups and returns the Group Descriptions.
`java.lang.String` | `getGroupDistinguishName()` Returns the group distinguished name for LDAP.
`java.lang.String` | `getGroupFilter()` Returns the filter string for LDAP.
`java.lang.String` | `getGroupMemberType()` Returns the Group Member Type for LDAP.
`java.util.Vector` | `getGroupNames()` Checks groups and returns the group names.
`java.lang.String` | `getGroupSAN()`
`java.lang.String` | `getImportGroupType()` Gets the LDAP Group importing principal type.
`int` | `getLADPServerPort()` Returns the LDAP server port.
`java.lang.String` | `getLDAPURL()` Returns the LDAP URL.
`java.lang.String` | `getLDAPVersion()` Returns LDAP Version Number.
`java.lang.String` | `getPassword()` Returns the Password for LDAP.
`java.util.Hashtable` | `getProperties()` Gets all properties of LDAP setting.
`java.lang.String` | `getRoot()` Returns the LDAP root.
`java.util.Vector` | `getRootUsers()` Returns the root users.
`java.lang.String` | `getUserAttributeName()` Returns userID name for LDAP.
`java.lang.String` | `getUserCommonName()` Returns user common name for LDAP.
`java.lang.String` | `getUserDistinguishName()` Returns user distinguished name for LDAP.
`java.lang.String` | `getUserFilter()` Returns the filter string for LDAP.
`java.lang.String` | `getUserFullNames(java.lang.String name)` Returns the user full name.
`java.util.Vector` | `getUserNames()` Returns the user information.
`java.lang.String` | `getUserPassword()` Returns user password name for LDAP.
`java.lang.String` | `getUserSAN()`
`java.lang.String[]` | `getUseServerList()` Returns the server method names.
`boolean` | `isConnection()` Returns whether to connect with the LDAP server.
`boolean` | `isConnection(java.util.Hashtable props)` Returns whether to connect with the LDAP server.
`boolean` | `isEnableNoneImportedLDAPSupport()` Checks whether the server security system uses the LDAP providers or not.
`boolean` | `isEncryptionInLayer()` Returns whether to use secure sockets layer in TCP/IP when the server communicates with the LDAP server
`boolean` | `isGroupEnableSAN()`
`boolean` | `isImportUserUponAuthentication()` Returns if user authentication is enabled.
`boolean` | `isLdapEnable()` Returns whether LDAP is enabled.
`boolean` | `isUserEnableSAN()`
`java.util.Vector` | `queryGroups(java.util.Hashtable h)` Gets the LDAP groups
`java.util.Vector` | `queryUsers(java.util.Hashtable h)` Gets the LDAP users.
`boolean` | `removeRoleMap(java.lang.String roleMapName)` Removes a role map from the server.
`void` | `saveProperties()` Saves all properties of LDAP setting into a file.
`void` | `setAdminGroup(java.lang.String adminGroup)` Sets the admin group.
`void` | `setDirectoryManagerDN(java.lang.String directoryManagerDN)` Sets the directory of manage Distinguish Name.
`void` | `setEnableLDAPProviders(boolean isEnableLDAPProvers)` Sets if the server security system uses the LDAP providers.
`void` | `setEncryptionInLayer(boolean isEncrytion)` Sets whether to use secure sockets layer in TCP/IP when the server communicates with the LDAP server.
`void` | `setGroupCommonName(java.lang.String groupCommonName)` Sets the Group Common Name for LDAP.
`void` | `setGroupDistinguishName(java.lang.String distinguishName)` Sets the group distinguished name for LDAP.
`void` | `setGroupEnableSAN(boolean groupEnableSAN)`
`void` | `setGroupFilter(java.lang.String filter)` Sets the filter string for LDAP.
`void` | `setGroupMemberType(java.lang.String groupMemberType)` Sets the Group Member Type for LDAP.
`void` | `setGroupSAN(java.lang.String groupSAN)`
`void` | `setImportGroupType(java.lang.String type)` Sets to import LDAP group into the server's role or group
`void` | `setImportUserUponAuthentication(boolean isImport)` Sets to Import upon Authentication.
`void` | `setLADPServerPort(int LDAPPort)` Sets the LDAP server port.
`void` | `setLdapEnable(boolean isEnable)` Sets whether LDAP is enabled.
`void` | `setLDAPURL(java.lang.String LDAPUrl)` Sets the LDAP URL.
`void` | `setLDAPVersion(java.lang.String LDAPVersion)` Sets LDAP Version Number.
`void` | `setPassword(java.lang.String password)` Sets the Password for LDAP.
`void` | `setRoot(java.lang.String root)` Sets the LDAP root.
`void` | `setUserAttributeName(java.lang.String userAttributeName)` Sets userID name for LDAP.
`void` | `setUserCommonName(java.lang.String userCommonName)` Sets user common name for LDAP.
`void` | `setUserDistinguishName(java.lang.String distinguishName)` Sets user distinguished name for LDAP.
`void` | `setUserEnableSAN(boolean userEnableSAN)`
`void` | `setUserFilter(java.lang.String filter)` Sets the filter string for LDAP.
`void` | `setUserPassword(java.lang.String password)` Sets user password name for LDAP.
`void` | `setUserSAN(java.lang.String userSAN)`

Method Detail

### setLdapEnable

    void setLdapEnable(boolean isEnable)
                       throws java.rmi.RemoteException

  Sets whether LDAP is enabled.

  Parameters:
    `isEnable` - whether LDAP is enabled.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isLdapEnable

    boolean isLdapEnable()
                         throws java.rmi.RemoteException

  Returns whether LDAP is enabled.

  Returns:
    true if LDAP is enabled, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setImportUserUponAuthentication

    void setImportUserUponAuthentication(boolean isImport)
                                         throws java.rmi.RemoteException

  Sets to Import upon Authentication.

  Parameters:
    `isImport` - if importing user upon authentication is enabled.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isImportUserUponAuthentication

    boolean isImportUserUponAuthentication()
                                           throws java.rmi.RemoteException

  Returns if user authentication is enabled.

  Returns:
    true if User Authentication is enabled, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLDAPVersion

    java.lang.String getLDAPVersion()
                                    throws java.rmi.RemoteException

  Returns LDAP Version Number.

  Returns:
    2 indicates using LDAPv2, otherwise using LDAPv3.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setLDAPVersion

    void setLDAPVersion(java.lang.String LDAPVersion)
                        throws java.rmi.RemoteException

  Sets LDAP Version Number.

  Parameters:
    `LDAPVersion` - it has two available values 2 and 3.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setLDAPURL

    void setLDAPURL(java.lang.String LDAPUrl)
                    throws java.rmi.RemoteException

  Sets the LDAP URL.

  Parameters:
    `LDAPUrl` - the LDAP URL.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLDAPURL

    java.lang.String getLDAPURL()
                                throws java.rmi.RemoteException

  Returns the LDAP URL.

  Returns:
    the LDAP URL.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setLADPServerPort

    void setLADPServerPort(int LDAPPort)
                           throws java.rmi.RemoteException

  Sets the LDAP server port.

  Parameters:
    `LDAPPort` - the LDAP server port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLADPServerPort

    int getLADPServerPort()
                          throws java.rmi.RemoteException

  Returns the LDAP server port.

  Returns:
    the LDAP server port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setRoot

    void setRoot(java.lang.String root)
                 throws java.rmi.RemoteException

  Sets the LDAP root.

  Parameters:
    `root` - the LDAP root.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getRoot

    java.lang.String getRoot()
                             throws java.rmi.RemoteException

  Returns the LDAP root.

  Returns:
    the LDAP root.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setDirectoryManagerDN

    void setDirectoryManagerDN(java.lang.String directoryManagerDN)
                               throws java.rmi.RemoteException

  Sets the directory of manage Distinguish Name.

  Parameters:
    `directoryManagerDN` - the directory of manage Distinguish Name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDirectoryManagerDN

    java.lang.String getDirectoryManagerDN()
                                           throws java.rmi.RemoteException

  Returns the directory of manager distinguished name.

  Returns:
    the directory of manager distinguished name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPassword

    void setPassword(java.lang.String password)
                     throws java.rmi.RemoteException

  Sets the Password for LDAP.

  Parameters:
    `password` - the Password for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPassword

    java.lang.String getPassword()
                                 throws java.rmi.RemoteException

  Returns the Password for LDAP.

  Returns:
    the Password for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEncryptionInLayer

    void setEncryptionInLayer(boolean isEncrytion)
                              throws java.rmi.RemoteException

  Sets whether to use secure sockets layer in TCP/IP when the server communicates with the LDAP server.

  Parameters:
    `isEncrytion` - true if SSL is used, otherwise false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isEncryptionInLayer

    boolean isEncryptionInLayer()
                                throws java.rmi.RemoteException

  Returns whether to use secure sockets layer in TCP/IP when the server communicates with the LDAP server

  Returns:
    if SSL is used return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setImportGroupType

    void setImportGroupType(java.lang.String type)
                            throws java.rmi.RemoteException

  Sets to import LDAP group into the server's role or group

  Parameters:
    `type` - the role or group
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getImportGroupType

    java.lang.String getImportGroupType()
                                        throws java.rmi.RemoteException

  Gets the LDAP Group importing principal type.

  Returns:
    the role or group
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUseServerList

    java.lang.String[] getUseServerList()
                                        throws java.rmi.RemoteException

  Returns the server method names.

  Returns:
    string array for the server method names.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isConnection

    boolean isConnection()
                         throws java.rmi.RemoteException

  Returns whether to connect with the LDAP server.

  Returns:
    true if connected with the LDAP server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isConnection

    boolean isConnection(java.util.Hashtable props)
                         throws java.rmi.RemoteException

  Returns whether to connect with the LDAP server.

  Parameters:
    `props` - the properties of the LDAP setting.
  Returns:
    true if connected with the LDAP server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getRootUsers

    java.util.Vector getRootUsers()
                                  throws java.rmi.RemoteException

  Returns the root users.

  Returns:
    vector which is the root users.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setGroupCommonName

    void setGroupCommonName(java.lang.String groupCommonName)
                            throws java.rmi.RemoteException

  Sets the Group Common Name for LDAP.

  Parameters:
    `groupCommonName` - the Group Common Name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getGroupCommonName

    java.lang.String getGroupCommonName()
                                        throws java.rmi.RemoteException

  Returns the Group Common Name for LDAP.

  Returns:
    the Group Common Name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setGroupMemberType

    void setGroupMemberType(java.lang.String groupMemberType)
                            throws java.rmi.RemoteException

  Sets the Group Member Type for LDAP.

  Parameters:
    `groupMemberType` - the Member Type for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getGroupMemberType

    java.lang.String getGroupMemberType()
                                        throws java.rmi.RemoteException

  Returns the Group Member Type for LDAP.

  Returns:
    the Group Member Type for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setGroupDistinguishName

    void setGroupDistinguishName(java.lang.String distinguishName)
                                 throws java.rmi.RemoteException

  Sets the group distinguished name for LDAP. This distinguished name is distinguished user and group.

  Parameters:
    `distinguishName` - the group distinguished name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getGroupDistinguishName

    java.lang.String getGroupDistinguishName()
                                             throws java.rmi.RemoteException

  Returns the group distinguished name for LDAP. This distinguished name is distinguished user and group.

  Returns:
    the group distinguished name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setGroupFilter

    void setGroupFilter(java.lang.String filter)
                        throws java.rmi.RemoteException

  Sets the filter string for LDAP.

  Parameters:
    `filter` - the filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getGroupFilter

    java.lang.String getGroupFilter()
                                    throws java.rmi.RemoteException

  Returns the filter string for LDAP.

  Returns:
    the filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setAdminGroup

    void setAdminGroup(java.lang.String adminGroup)
                       throws java.rmi.RemoteException

  Sets the admin group.

  Parameters:
    `adminGroup` - the admin group.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAdminGroup

    java.lang.String getAdminGroup()
                                   throws java.rmi.RemoteException

  Returns the admin group.

  Returns:
    the admin group.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getGroupNames

    java.util.Vector getGroupNames()
                                   throws java.rmi.RemoteException

  Checks groups and returns the group names.

  Returns:
    vector which contains group names
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### queryGroups

    java.util.Vector queryGroups(java.util.Hashtable h)
                                 throws java.rmi.RemoteException

  Gets the LDAP groups

  Parameters:
    `h` - the LDAP configuration
  Returns:
    the LDAP groups
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getGroupDescriptions

    java.lang.String getGroupDescriptions(java.lang.String groupName)
                                          throws java.rmi.RemoteException

  Checks groups and returns the Group Descriptions.

  Returns:
    String which is Group Descriptions.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUserAttributeName

    void setUserAttributeName(java.lang.String userAttributeName)
                              throws java.rmi.RemoteException

  Sets userID name for LDAP.

  Parameters:
    `userAttributeName` - userID name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUserAttributeName

    java.lang.String getUserAttributeName()
                                          throws java.rmi.RemoteException

  Returns userID name for LDAP.

  Returns:
    userID name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUserCommonName

    void setUserCommonName(java.lang.String userCommonName)
                           throws java.rmi.RemoteException

  Sets user common name for LDAP.

  Parameters:
    `userCommonName` - user common name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUserCommonName

    java.lang.String getUserCommonName()
                                       throws java.rmi.RemoteException

  Returns user common name for LDAP.

  Returns:
    user common name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUserPassword

    void setUserPassword(java.lang.String password)
                         throws java.rmi.RemoteException

  Sets user password name for LDAP.

  Parameters:
    `password` - user password name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUserPassword

    java.lang.String getUserPassword()
                                     throws java.rmi.RemoteException

  Returns user password name for LDAP.

  Returns:
    user password name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUserDistinguishName

    void setUserDistinguishName(java.lang.String distinguishName)
                                throws java.rmi.RemoteException

  Sets user distinguished name for LDAP. This distinguished name is distinguished user and group.

  Parameters:
    `distinguishName` - user distinguished name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUserDistinguishName

    java.lang.String getUserDistinguishName()
                                            throws java.rmi.RemoteException

  Returns user distinguished name for LDAP. This distinguished name is distinguished user and group.

  Returns:
    user distinguished name for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUserFilter

    void setUserFilter(java.lang.String filter)
                       throws java.rmi.RemoteException

  Sets the filter string for LDAP.

  Parameters:
    `filter` - the filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUserFilter

    java.lang.String getUserFilter()
                                   throws java.rmi.RemoteException

  Returns the filter string for LDAP.

  Returns:
    the filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUserNames

    java.util.Vector getUserNames()
                                  throws java.rmi.RemoteException

  Returns the user information.

  Returns:
    Vector which contains user names
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### queryUsers

    java.util.Vector queryUsers(java.util.Hashtable h)
                                throws java.rmi.RemoteException

  Gets the LDAP users.

  Parameters:
    `h` - the LDAP configuration
  Returns:
    the LDAP users
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUserFullNames

    java.lang.String getUserFullNames(java.lang.String name)
                                      throws java.rmi.RemoteException

  Returns the user full name.

  Returns:
    String users' full names
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDefauleSettingValue

    void getDefauleSettingValue(java.lang.String oldType)
                                throws java.rmi.RemoteException

  Gets the default LDAP configuration.

  Parameters:
    `oldType` - the LDAP Server type.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getProperties

    java.util.Hashtable getProperties()
                                      throws java.rmi.RemoteException

  Gets all properties of LDAP setting.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### saveProperties

    void saveProperties()
                        throws java.rmi.RemoteException

  Saves all properties of LDAP setting into a file.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### createRoleMap

    java.lang.String createRoleMap(java.lang.String filter,
                                   java.lang.String roleName)
                                   throws jet.server.jrc.security.ldap.RoleMapExistException,
                                          java.rmi.RemoteException

  Adds a new role map to the server.

  Parameters:
    `filter` - the role map's LDAP search filter string
    `roleName` - the role map's bound role name
  Returns:
    if added successfully return the role map name, otherwise return null
  Throws:
    `jet.server.jrc.security.ldap.RoleMapExistException` - if there is this role map
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeRoleMap

    boolean removeRoleMap(java.lang.String roleMapName)
                          throws jet.server.jrc.security.ldap.NoSuchRoleMapException,
                                 java.rmi.RemoteException

  Removes a role map from the server.

  Parameters:
    `roleMapName` - the role map's server
  Returns:
    if added successfully return null, or else return error message
  Throws:
    `jet.server.jrc.security.ldap.NoSuchRoleMapException` - if there is not this role map
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### editRoleMap

    boolean editRoleMap(java.lang.String roleMapName,
                        java.lang.String filter,
                        java.lang.String roleName)
                        throws jet.server.jrc.security.ldap.NoSuchRoleMapException,
                               java.rmi.RemoteException

  Edits an existing role map by its name.

  Parameters:
    `roleMapName` - the role map's name
    `filter` - the role map's new filter
    `roleName` - the role map's new bound role name
  Returns:
    if edited successfully return null, or else return error message
  Throws:
    `jet.server.jrc.security.ldap.NoSuchRoleMapException` - if there is not this role map
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAllRoleMaps

    java.util.Vector getAllRoleMaps()
                                    throws java.rmi.RemoteException

  Gets all role maps.

  Returns:
    a vector that contains all role maps
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableNoneImportedLDAPSupport

    boolean isEnableNoneImportedLDAPSupport()
                                            throws java.rmi.RemoteException

  Checks whether the server security system uses the LDAP providers or not.

  Returns:
    if the LDAP providers are used return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEnableLDAPProviders

    void setEnableLDAPProviders(boolean isEnableLDAPProvers)
                                throws java.rmi.RemoteException

  Sets if the server security system uses the LDAP providers.

  Parameters:
    `isEnableLDAPProvers` - if the server security system uses the LDAP providers
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUserEnableSAN

    void setUserEnableSAN(boolean userEnableSAN)
                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setUserSAN

    void setUserSAN(java.lang.String userSAN)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setGroupEnableSAN

    void setGroupEnableSAN(boolean groupEnableSAN)
                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setGroupSAN

    void setGroupSAN(java.lang.String groupSAN)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### isUserEnableSAN

    boolean isUserEnableSAN()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getUserSAN

    java.lang.String getUserSAN()
                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### isGroupEnableSAN

    boolean isGroupEnableSAN()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getGroupSAN

    java.lang.String getGroupSAN()
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD